# create-integration-test

## Purpose

The `create-integration-test` command will create an integration test for the given base name.

## Examples

    grails create-integration-test book

## Description

Creates an integration test for the given base name. For example for a base name "book" an integration test called `BookTests` will be created in the `test/integration` directory.

An integration test differs from a unit test in that the Grails environment is loaded for each test execution. Refer to the section on Unit Testing of the user guide for information on unit vs. integration testing.

Note that this command is merely for convenience and you can also create integration tests in your favourite text editor or IDE if you choose.

Usage:

    grails create-integration-test [name]

Fired Events:

- `CreatedFile` - When the integration test is created